{% extends 'base.html' %}
{% load static %}


{% block content %}
    <div class="grid-item">
        <form method="post" action="http://localhost:8000/game/actions/search/back">
            {% csrf_token %}
            <input type="hidden" name="back" value="map">
            <button type="submit">back</button>
        </form>
    </div>
    <h2>Gold: {{player.inventory.gold}}</h2>
    <h1>Player</h1>
    <table class="inventory-table">
        <thead>
            <tr>
                <th>Name</th><th>#</th><th>Action</th>
            </tr>
        </thead>
        <tbody>
    {% for item in player_items%}
        <tr>
            <td>{{item.data.name}}</td><td>{{item.quantity}}</td>
            <td>
                <div class="grid-item">
                    <form method="post" action="http://localhost:8000/game/actions/search/drop">
                        {% csrf_token %}
                        <input type="hidden" name="drop" value="{{item.id}}">
                        <button type="submit">Drop</button>
                    </form>
                </div>
            </td>
        </tr>
    {% endfor %}
        </tbody>
    </table>

    <table class="inventory-table">
        <thead>
            <tr>
                <th>Name</th><th>#</th><th>Action</th>
            </tr>
        </thead>
        <tbody>
    <h1>Search Items</h1>
    {% for item in search_items%}
        <tr>
            <td>{{item.data.name}}</td><td>{{item.quantity}}</td>
            <td>
                <div class="grid-item">
                    <form method="post" action="http://localhost:8000/game/actions/search/take">
                        {% csrf_token %}
                        <input type="hidden" name="take" value="{{item.id}}">
                        <button type="submit">Take</button>
                    </form>
                </div>
            </td>
        </tr>
    {% endfor %}
        </tbody>
    </table>
{% endblock content %}